
Foreman - Refactor #34212

Pin psych < 4

01/03/2022 03:10 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.0.2, 3.1.1, 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9012

  

Description

Psych > 4 uses safe_load by default, which in turn fails to load fixtures as those are using unsafe classes.

This will be tackled in Rails 6.1 and we should fix the rest, but as easy workaround lets pin it.

Related issues:

Related to Foreman - Bug #35463: Allow rdoc 6.4 on Ruby 3.1 Closed

Associated revisions

Revision bad15051 - 01/04/2022 07:52 AM - Ondřej Ezr

Fixes #34212 - pin rdoc < 6.4 to avoid psych dependency

rdoc 6.4+ requires Psych > 4, which breaks with Rails 6.0.

So we need to upgrade Rails and then resolve what needs resolving.

Pinning rdoc for now.

History

#1 - 01/03/2022 03:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9012 added

#2 - 01/04/2022 07:52 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 01/04/2022 08:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|bad15051387b21563ffc0843a60f9dccfb2d3e17.

#4 - 01/05/2022 03:03 PM - Ondřej Ezr

- Fixed in Releases 3.1.1 added

#5 - 01/25/2022 07:19 AM - Amit Upadhye

- Category set to Packaging

#6 - 02/25/2022 04:04 PM - Amit Upadhye

- Fixed in Releases 3.0.2 added

#7 - 08/31/2022 10:50 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #35463: Allow rdoc 6.4 on Ruby 3.1 added
